CUDA_VISIBLE_DEVICES=1 \
NPROC_PER_NODE=1 \
swift rlhf \
    --rlhf_type grpo \
    --model /data1/yuyr/qwen3-8b \
    --dataset webarena_sample_dup52.jsonl \
    --split_dataset_ratio 0.2 \
    --reward_funcs external_web_acc \
    --external_plugins plugin.py \
    --train_type lora \
    --lora_rank 8 \
    --lora_alpha 32 \
    --target_modules all-linear \
    --torch_dtype bfloat16 \
    --system system_prompt.txt \
    --max_completion_length 1024 \
    --num_train_epochs 1 \
    --per_device_train_batch_size 4 \
    --per_device_eval_batch_size 4 \
    --learning_rate 1e-5 \
    --gradient_accumulation_steps 1 \
    --eval_steps 100 \
    --save_steps 1 \
    --logging_steps 5 \
    --max_length 2048 \
    --output_dir output \
    --warmup_ratio 0.05 \
    --dataloader_num_workers 4 \
    --dataset_num_proc 4 \
    --num_generations 4 \
    --temperature 0.9 \
    --log_completions true \
    --use_vllm true \
    --vllm_mode server \
    --vllm_server_host localhost \
    --vllm_server_port 8000 \
    --output_dir /data2/yuyr/direct_stepwise_train/output_data \
    --save_strategy steps \
    --save_total_limit 5 \
    --async_generate true \
    --deepspeed zero3
